import javax.swing.JOptionPane;

class boxtest
{
   public static void main(String args[])
   {
   double volume;
   try{
      box firstbox= new box(1.0,1.2,0.2);
      String s="First box : \n"+firstbox.toString()+"\n"; 
      firstbox.write_length(3.0);
      firstbox.write_width(2.0);
      firstbox.write_height(0.0);
      s+="value changed first box : \n"+firstbox.toString()+"\n"; 
      JOptionPane.showMessageDialog(null,s,
      "class example:boxtest4",JOptionPane.PLAIN_MESSAGE);
      }  catch(zero_or_negative_sizeException e1)
   {  JOptionPane.showMessageDialog(null,e1.toString(),"ERROR",JOptionPane.ERROR_MESSAGE);}   
     System.exit(0);
   }
}